Name: mudlet
Summary: A MUD client for a whole new level.
Version: 1.1.1
Release: %mkrel 2
License: GPLv2
Group: Networking/Remote access
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
URL: http://make.mudlet.org/
BuildRequires: yajl-devel qt4-devel
BuildRequires: %{_lib}lua5.1-devel
BuildRequires: pcre-devel
Requires: yajl

%description
Mudlet is a freshly-minted MUD client, designed to take mudding to a new level.

It’s a new breed of a client on the MUD scene – with an intuitive user
interface, a specially designed scripting framework, and a very fast text
display. Add to that cross-platform capability, an open-source development
model, and you have a very likable MUD client.

%prep
%setup -q -n %{name}-%{version}

# Change the line INSTALL_PREFIX in src.pro
%__sed -i -e "s|INSTALL_PREFIX = /usr/local|INSTALL_PREFIX = $RPM_BUILD_ROOT/usr|g" \
	  src/src.pro
%__sed -i -ie "s|SHARE_DIR = /usr/local/share/mudlet|SHARE_DIR = $RPM_BUILD_ROOT/usr/share/mudlet|" \
	  src/src.pro

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
pushd src
qmake
%make
popd

%install
rm -rf %buildroot
pushd src
%{makeinstall_std}
popd

# Install the desktop file and icon file.
mkdir %{buildroot}%{_datadir}/applications
mkdir %{buildroot}%{_datadir}/icons
install -m 0644 mudlet.desktop %{buildroot}%{_datadir}/applications
install -m 0644 mudlet.svg %{buildroot}%{_datadir}/icons

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
  rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/mudlet.svg

%changelog
* Wed Nov 06 2013 billybot <billybot> 1.1.1-2pclos2013
- rebuild new pcre

* Thu Aug 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1.1-1_archie_2012
- update

* Mon Nov 11 2010 Texstar <texstar at gmail.com> 1.0.3-2pclos2010
- convert source to tar.xz
- add menu entry for all desktops

* Mon Oct 18 2010 Ertain <sirius-C at iname.com> 1.0.3-1pclos2010
- Initial package
